Page MenuHomePhabricator

Cleanup Math-related code from core
Closed, ResolvedPublic

Description

One is $wgUseTeX. The only usage left is EditPage.php and it can be a bug to show 'Input math' button when $wgUseTeX is set but Extension:Math is not installed.

Another is LanguageConverter::armourMath(). Maybe it can be just rename to LanguageConverter::escapeConversionTag().


Version: 1.21.x
Severity: normal

Details

Reference
bz41299

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 1:09 AM
bzimport set Reference to bz41299.
bzimport added a subscriber: Unknown Object (MLST).
Krinkle set Security to None.
Krinkle removed a subscriber: Unknown Object (MLST).
Danny_B moved this task from Unsorted to Cleanup on the Technical-Debt board.Jan 22 2016, 11:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 22 2016, 11:37 PM
D3r1ck01 closed this task as Resolved.Jan 24 2019, 3:45 PM
D3r1ck01 claimed this task.
D3r1ck01 added a subscriber: D3r1ck01.

Per https://codesearch.wmflabs.org/core/?q=LanguageConverter%5C%3A%5C%3AarmourMath&i=nope&files=&repos= for example, it has been removed. Please reopen if it's not the case. Thanks :)